DOWNLOAD(1)

NAME
download - host-resident PostScript font download

SYNOPSIS
download options[] files[]

DESCRIPTION
download prepends host-resident fonts to files and writes the results on the standard output. If no files are specified, or if - is one of the input files, the standard input is read. download assumes the input files are a single PostScript job and that requested fonts can be included at the start of each input file. The following options are understood:

-f  Force a complete scan of each input file. In the absence of an explicit comment pointing download to the end of the file, the default scan stops immediately after the PostScript header comments.

-mname
    Use name as the font map table. A name that begins with is the full pathname of the map table. Otherwise name is relative to the host font directory.

-pprinter
    Read the printer-resident font list from file
    Fonts named in this file are printer-resident and will not be downloaded.

-Hdir
    Use dir as the host font directory. The default is /usr/lib/font/postscript(.)

-Tdir
    Use dir as the temporary file directory. Only used to make a copy of standard input. By default dir is set to /tmp(.)

Requested fonts are named in a comment in the input files. Available fonts are the ones listed in the map table selected using the -m option.

The map table consists of fontname-filename pairs. The fontname is the full name of the PostScript font, exactly as it would appear in a comment. The filename is the pathname of the host resident font. A filename that begins with a is used as is, otherwise the pathname is relative to the host font directory. Comments are introduced by (as in PostScript) and extend to the end of the line.

The only candidates for downloading are fonts listed in the map table that point download to readable files. A font is downloaded at most once. Requests for unlisted fonts or inaccessible files are ignored. All requests are ignored if the map table can't be read.

EXAMPLES
A map table used to control the downloading of the Bookman font family might be,
    %
    % The first string is the full PostScript font name. The second string
    % is the file name - relative the host font directory unless it begins
    % with a /.
    %
      Bookman-Light            KR
      Bookman-LightItalic      KI
      Bookman-Demi             KB
      Bookman-DemiItalic       KX
Use file (in the default host font directory) as the map table:
    download -m myprinter file
Set the host font directory to and use as the map table:
    download -H /tmp/font -mxxx file

DIAGNOSTICS
0 exit status is returned if files were successfully processed.

BUGS
download should be part of a more general program.

download does not look for comments and there is no way to force multiple downloads of a particular font.

Using full pathnames, either in map tables or for the map table name, is not often recommended.

SEE ALSO
dpost(1), postdaisy(1), postdmd(1), postio(1), postmd(1), postprint(1), posttek(1)